Synchronize Image Series

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/actions/sync

Submits a job to Synchronize the image series in the FPP server(s) with the data stored in Enterprise Manager

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Default Value: BOTH
    Allowed Values: [ "DATA", "CERTIFICATE", "BOTH" ]
    It describes the sync type
Examples

Back to Top

Response

202 Response

It is a long running/async API. It submits a deployment procedure.
Headers
  • URL link to track the status of the API for the deployment procedure
    Example:
    /deploymentProcedureInstances/{deploymentProcedureInstanceId}
Body ()
Root Schema : schema
Type: object
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top